WebSite X5Help Center

 
Incomedia
Incomedia

What are the minimum requirements for the server?  en

Автор: Incomedia
Просмотрено 1304, Подписчики 1, Размещенный 0  

Websites created with WebSite X5 are compatible with Windows and Linux servers. Only for some advanced functions, PHP 5.6 and MySQL are also required.

With version 2019.2 a new system has been introduced: when you start the online publishing of your website on Step 5, WebSite X5 carries out a check before proceeding with the file export, in order to verify that all the chosen server complies with the minimum requirements.

If the check is positive, the software automatically proceeds with the online export. If, on the other hand, some discrepancies are detected, you will be notified with a warning message reporting that the parameters which do not comply and which may compromise the proper functioning of your website once it is online.

The program carries out its checks on:

  • Installed PHP version- this is necessary, for example, to send emails using the Contact Form Object and the E-commerce, or to have access to Locked Pages with Login and Password.
  • Support for sessions- this is necessary, for example, for the access to Locked Pages.
  • Server folder with write access- this is necessary, for example, for the correct storage and management of comments left on Blog Posts and on the Comments and Ratings Object.
  • Support for MySQL and database settings- this is necessary, for example to collect data using a Contact Form Object, a Comment and Ratings Object or the E-Commerce.

If your server does not comply with one or more of these requirements, please get in touch with your provider to update the settings.

Once you export your website online, you will find the diagnostics information related to server in the WebSite Test section of the Online Control Panel or in the WebSite X5 Manager App if you are a Pro edition user.

Moreover, the Control Panel and in the App also offer the options to verify if the server correctly supports the script to send emails. You just need to:

  • select the script you want to use among the available ones;
  • set the required parameters;
  • carry out a test for sending an email.

If you correctly receive the email, then the server does support the script you chose and you can use it.

Размещено